import './scss/index.scss'

import Button from './components/Button/index'
import Tooltip from './components/Tooltip/index'

const components = {
  Button,
  Tooltip
}

const install = function (Vue) {
  if (install.installed) return
  Object.keys(components).forEach(key => {
    Vue.component(components[key].name, components[key])
  })

  // Vue.prototype.$toast = Toast
}

if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue)
}

const API = {
  install,
  ...components
}

export default API
